@echo off
rem BATCH FILE FOR INSTALLING ZIP FILES
rem RELIES ON ZIP BEING IN SUB-DIRECTORY WITH SAME NAME AS THIS .BAT FILE
rem also, .ZIP is a self-extracting ARCHIVE.EXE
rem to make a self-extract use zip2exe

rem THE FOLLOWING LINE CHECKS FOR EXISTANCE OF ARCHIVE
if exist %0\archive.exe goto gotcommand
echo 	UNEXPECTED FATAL ERROR: COULD NOT FIND ARCHIVE: %0\ARCHIVE.EXE
if not exist %0 goto stopnow
echo 	Please repeat the command, but do NOT enter the .BAT extension!
goto stopnow

:gotcommand
rem THE FOLLOWING LINES CHECK VALIDITY OF TARGET
rem target dir does not exist so it will be created
if not exist %1\nul	 goto goforit
rem target dir exists, but is it properly specified?
rem if this works too then the user has put c: instead of c:.
if exist %1nul	 echo Default target directory is:
if exist %1nul	 cd %1
if exist %1nul	 %0 %1.

:goforit
echo	Installation will proceed from %0\ARCHIVE to %1\*.*
if exist %1\*.*	echo	The target directory already contains some files.
echo Press Control and C to abort installation, OR
pause
%0\archive -D -o %1\
if errorlevel 1	goto stopnow
echo.
echo.
echo.
echo	Copying of files is complete.
echo.
echo	To run the demo change to the directory %1 
echo.
echo	Before trying Airpower please first run SVGATEST
echo.	to select your graphics card.
echo.
echo	To select resolution,sound and music hardware type
echo 	AIRPOWER ?
echo	Note that Roland is not supported on this demo
echo.
echo	The file DEMOREAD.ME contains information about the demo in particular 
echo	Type EDIT DEMOREAD.ME, or MORE<DEMOREAD.ME to view.
echo.
echo	The file READ.ME contains information about memory and graphic card issues. 
echo	Type EDIT READ.ME, or MORE<READ.ME to view.
:stopnow


